Asendia UK by La Poste and Swiss Post is an international mail consolidation service for shipments originating in the UK and most European countries. ShipStation API's integration with Asendia gives you access to discounted rates for international shipping labels destined for anywhere in their extensive delivery network.
This guide provides developers with the details needed to build Asendia UK shipping capabilities into your ShipStation API workflows.
| Property | Type | Required? | Description |
|---|---|---|---|
nickname | string | required | Used to identify the account in ShipStation API dashboard. |
sub_retailer_name | string | required | The Customer Code for your Asendia account. |
parcel_code_prefix | string | required | The Parcel code prefix for your Asendia account. |
eu_api_key | string | optional |
You can connect an Asendia UK account using the POST method to the /v1/connections/carriers/ endpoint. Connecting an Asendia UK account via the ShipStation API dashboard is not currently available.
carrier_name: asendia_uk
POST /v1/connections/carriers/:carrier_name
Sample request:
POST /v1/connections/carriers/asendia_uk HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"nickname": "My Asendia UK account",
"sub_retailer_name": "mySubRetailerName",
"parcel_code_prefix": "prefixValue"
}A successful connection will return a response with the carrier_id, which you'll use for any requests for this account going forward.
Asendia does not send estimated rates to ShipStation API. Your Asendia account contact can provide you with the details about your contracted rates.
Available Asendia UK services are provided below. Please note that carriers may update their available services at any time. To ensure you are always using valid services, you can use the list carrier services endpoint at any time.
| Service | API Code | Origin Countries |
|---|---|---|
| e-PAQ Plus | asendia_uk_epaq_plus | GB |
| e-PAQ Select | asendia_uk_epaq_select | GB, DE, NL, AT, BE, BG, HR, CY, CZ, DK, EE, FI, FR, GR, HU, IE, IT, LV, LT, LU, MT, PL, PT, RO, SK, SI, ES, SE |
Asendia UK does not currently support return services.
The following carrier package types are available for Asendia UK services:
| Name | API Code |
|---|---|
| Package | asendia_uk_package |
| Boxable | asendia_uk_boxable |
| Non-Boxable | asendia_uk_non_boxable |
| Packets | asendia_uk_packets |
e-PAQ Select service includes coverage up to £50. Adding carrier insurance is not supported.
- Label sizes: 4" x 6:
- Label formats: PDF, PNG, ZPL
Asendia UK does not support adding custom label messages.
Asendia UK does support multi-package shipments.
Asendia UK does not support label branding.
Asendia UK does not support voiding labels with ShipStation API.
Asendia UK does not support paperless labels.
Customs declarations are submitted electronically for Asendia UK shipments.
| Confirmation Type | API Code | Description |
|---|---|---|
| None | No Confirmation Required | No confirmation requested. |
| Signature | `Personal Delivery | Signature is required for the shipment to be delivered. |
See our Delivery Confirmation page for more details about using the confirmation property.
Asendia UK does not support any advanced options.
To ensure you always have the most up-to-date information about a carrier's advanced options, use the list carrier options call.
Asendia UK does not require manifesting your shipments.
Asendia UK does not support scheduling pickups with ShipStation API.
Shipping to service points is supported for the following destination countries: France, Sweden, Finland, Denmark, Baltics.
ShipStation API's integration with Asendia UK supports receiving tracking updates. Review our Track a Package guides for details on tracking with the ShipStation API.
| Issue | How to troubleshoot or resolve |
|---|---|
Length exceeds maximum allowed; Name XLI_ItemCode; Length Allowed: 25 | This error occurs if the SKU for any product in the shipment is greater than 25 characters. Asendia’s API rejects any SKU that is longer than 25 characters. |
Customs values must be greater than £0.00. | You'll receive this error if the customs values are £0.00 or are left blank. |
See the Disconnect section in our Delete a Carrier page for the process of deleting or disconnecting a carrier from ShipStation API.
NOTE:
If you disconnect a carrier account and reconnect it, the account will have a new
carrier_idin ShipStation API.